Virtual Networks - Move Ip Configurations
Move IP configurations from one virtual network to another.
POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/virtualNetworks/{virtualNetworkName}/moveIpConfigurations?api-version=2026-01-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
The name of the resource group. The name is case insensitive. |
|
subscription
|
path | True |
string (uuid) |
The ID of the target subscription. The value must be an UUID. |
|
virtual
|
path | True |
string |
The name of the virtual network. |
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
Request Body
| Name | Required | Type | Description |
|---|---|---|---|
| moveIpConfigurationItems | True |
A list of IP configuration move items. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Azure operation completed successfully. |
|
| 202 Accepted |
Resource operation accepted. Headers
|
|
| Other Status Codes |
An unexpected error response. |
Security
azure_auth
Azure Active Directory OAuth2 Flow.
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
Move IP Configurations
Sample request
POST https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Network/virtualNetworks/test-vnet/moveIpConfigurations?api-version=2026-01-01
{
"moveIpConfigurationItems": [
{
"sourceIpConfiguration": {
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Network/networkInterfaces/nic1/ipConfigurations/ipconfig1"
},
"targetIpConfiguration": {
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Network/networkInterfaces/nic2/ipConfigurations/ipconfig2"
}
},
{
"sourceIpConfiguration": {
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Network/networkInterfaces/nic3/ipConfigurations/ipconfig3"
},
"targetIpConfiguration": {
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Network/networkInterfaces/nic4/ipConfigurations/ipconfig4"
}
}
]
}
Sample response
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.Network/locations/westus/operations/11111111-1111-1111-1111-111111111111?api-version=2025-09-01
Location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.Network/locations/westus/operations/11111111-1111-1111-1111-111111111111?api-version=2025-09-01
Retry-After: 10
Definitions
| Name | Description |
|---|---|
|
Cloud |
An error response from the service. |
|
Cloud |
An error response from the service. |
|
Move |
An item representing a source and target IP configuration for a move operation. |
|
Move |
Reference to an IP configuration resource by ARM resource ID. |
|
Move |
Request body for the MoveIpConfigurations operation. |
CloudError
An error response from the service.
| Name | Type | Description |
|---|---|---|
| error |
Cloud error body. |
CloudErrorBody
An error response from the service.
| Name | Type | Description |
|---|---|---|
| code |
string |
An identifier for the error. Codes are invariant and are intended to be consumed programmatically. |
| details |
A list of additional details about the error. |
|
| message |
string |
A message describing the error, intended to be suitable for display in a user interface. |
| target |
string |
The target of the particular error. For example, the name of the property in error. |
MoveIpConfigurationItem
An item representing a source and target IP configuration for a move operation.
| Name | Type | Description |
|---|---|---|
| sourceIpConfiguration |
The source IP configuration to move from. |
|
| targetIpConfiguration |
The target IP configuration to move to. |
MoveIpConfigurationResourceReference
Reference to an IP configuration resource by ARM resource ID.
| Name | Type | Description |
|---|---|---|
| id |
string (arm-id) |
The ARM resource ID of the IP configuration. |
MoveIpConfigurationsRequest
Request body for the MoveIpConfigurations operation.
| Name | Type | Description |
|---|---|---|
| moveIpConfigurationItems |
A list of IP configuration move items. |